REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single Reseller record by its Id.
{ "Name": "<string>", "UserId": 123, "UserFullName": "<string>", "UserEmail": "<string>", "CurrencyId": 123, "CurrencyCode": "<string>", "AgreedTermsOn": "<string>", "Approved": true, "AutoApprovePayouts": true, "NextPayoutDate": "<string>", "ProfileIsPublic": true, "AvatarFileName": "<string>", "NewAvatarUrl": "<string>", "ClearAvatarFile": true, "LogoFileName": "<string>", "NewLogoUrl": "<string>", "ClearLogoFile": true, "Area": "<string>", "OperatesIn": "<string>", "WebAddress": "<string>", "Email": "<string>", "ProfileSummary": "<string>", "PhoneNumber": "<string>", "Testimonial1": "<string>", "Testimonial1Author": "<string>", "Testimonial2": "<string>", "Testimonial2Author": "<string>", "StripeAccountId": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
Reseller-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/resellers/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "Name": "", "UserId": 0, "UserFullName": null, "UserEmail": null, "CurrencyId": 0, "CurrencyCode": null, "AgreedTermsOn": null, "Approved": false, "AutoApprovePayouts": false, "NextPayoutDate": null, "ProfileIsPublic": false, "AvatarFileName": null, "NewAvatarUrl": null, "ClearAvatarFile": null, "LogoFileName": null, "NewLogoUrl": null, "ClearLogoFile": null, "Area": null, "OperatesIn": null, "WebAddress": null, "Email": null, "ProfileSummary": null, "PhoneNumber": null, "Testimonial1": null, "Testimonial1Author": null, "Testimonial2": null, "Testimonial2Author": null, "StripeAccountId": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "Reseller Example", "LocalizationDetails": null, "CustomFields": null }